QXmppMixParticipantItem Class Reference
Stanzas

The QXmppMixParticipantItem class represents a PubSub item of a MIX channel participant as defined by XEP-0369: Mediated Information eXchange (MIX). More...

`#include <QXmppMixItem.h>`

## Public Member Functions

| QXmppMixParticipantItem (const QXmppMixParticipantItem &)
QXmppMixParticipantItem & | operator= (const QXmppMixParticipantItem &)
QString | nick () const
| Returns the participant's nickname.
void | setNick (const QString &)
| Sets the participants nickname.
QString | jid () const
| Returns the participant's JID.
void | setJid (const QString &)
| Sets the participant's JID.
void | parse (const QXmppElement &itemContent)
QXmppElement | toElement () const

## Static Public Member Functions

static bool | isMixParticipantItem (const QDomElement &)
| Returns true, if this dom element is a MIX participant item.

## Detailed Description

The QXmppMixParticipantItem class represents a PubSub item of a MIX channel participant as defined by XEP-0369: Mediated Information eXchange (MIX).

Since
  QXmpp 1.1

The documentation for this class was generated from the following files:

- QXmppMixItem.h
- QXmppMixItem.cpp